Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde] Bye bye 3.5 ! [Résolu]
View unanswered posts
View posts from last 24 hours

Goto page 1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Fri Oct 09, 2009 3:40 pm    Post subject: [kde] Bye bye 3.5 ! [Résolu] Reply with quote

Quand je vois ça (mon dernier emerge world)
Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/qt-core:4

  ('installed', '/', 'x11-libs/qt-core-4.5.1', 'nomerge') pulled in by
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/libkonq-4.2.4', 'nomerge')
    ~x11-libs/qt-core-4.5.1[qt3support,-debug] required by ('installed', '/', 'x11-libs/qt-sql-4.5.1', 'nomerge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/kdesu-4.2.4', 'nomerge')
    (and 2 more)

  ('ebuild', '/', 'x11-libs/qt-core-4.5.2', 'merge') pulled in by
    ~x11-libs/qt-core-4.5.2[-debug] required by ('ebuild', '/', 'x11-libs/qt-test-4.5.2', 'merge')


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.


emerge: there are no ebuilds built with USE flags to satisfy "~x11-libs/qt-core-4.5.2[qt3support,-debug]".
!!! One of the following packages is required to complete your request:
- x11-libs/qt-core-4.5.2 (Change USE: +qt3support)
(dependency required by "x11-libs/qt-qt3support-4.5.2" [ebuild])
(dependency required by "kde-base/kdesu-4.2.4" [installed])
(dependency required by "kde-base/kdepasswd-4.2.4" [installed])
(dependency required by "kde-base/kdm-4.2.4-r1" [installed])
(dependency required by "world" [argument])


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
je me dis qu'il est peut-être temps de supprimer KDE3.5 de mon PC.
Alors j'ai chercher à savoir comment on le supprime proprement mais je n'ai trouvé que ça:
Code:
equery list kde-base/* | grep 3\.5 | xargs emerge -p --unmerge

Est-ce tout c equ'il y a à faire ?


Last edited by BENJI on Wed Dec 02, 2009 7:11 am; edited 1 time in total
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8131
Location: ~Brussels - Belgique

PostPosted: Fri Oct 09, 2009 3:46 pm    Post subject: Reply with quote

Le plus facile est de faire un "emerge -C" des packages KDE de ton world, puis
Code:
emerge -Dav --depclean && revdep-rebuild -i

_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
loopx
Advocate
Advocate


Joined: 01 Apr 2005
Posts: 2787
Location: Belgium / Liège

PostPosted: Sat Oct 10, 2009 9:17 pm    Post subject: Reply with quote

- x11-libs/qt-core-4.5.2 (Change USE: +qt3support)


donc, ajoute ce paquet avec le use qui va avec dans ton package.use ;)
_________________
Mon MediaWiki perso : http://pix-mania.dyndns.org
Back to top
View user's profile Send private message
USTruck
Guru
Guru


Joined: 21 Aug 2005
Posts: 423
Location: La Louviere (Belgique)

PostPosted: Sat Oct 10, 2009 9:52 pm    Post subject: Reply with quote

Et comment on fait pour garder kde 3.5 quand on apprécie pas la 4 ?
Back to top
View user's profile Send private message
castor_fou
Apprentice
Apprentice


Joined: 23 May 2002
Posts: 249
Location: Clermont-Ferrand, France

PostPosted: Sun Oct 11, 2009 8:31 am    Post subject: Reply with quote

comme USTruck, je veux rester en kde 3.5 pour le moment.
J'ai donc fait un
Code:
equery l x11-libs/ |grep qt|emerge --unmerge

Puis là je fais un
Code:
emerge -vuD --newuse world


Je vous tiens au courant, so far so good
Back to top
View user's profile Send private message
castor_fou
Apprentice
Apprentice


Joined: 23 May 2002
Posts: 249
Location: Clermont-Ferrand, France

PostPosted: Sun Oct 11, 2009 12:02 pm    Post subject: Reply with quote

bon ça a marché. On peut continuer avec kde 3.5
Back to top
View user's profile Send private message
castor_fou
Apprentice
Apprentice


Joined: 23 May 2002
Posts: 249
Location: Clermont-Ferrand, France

PostPosted: Sun Oct 11, 2009 4:44 pm    Post subject: Reply with quote

tout a marché sauf que je n'ai plus d'icones sur le bureau, fonds bleus.
C'est kdesktop et kcontrol qui ne marche plus.

Code:
(no debugging symbols found)
[KCrash handler]
#6  0x00000000 in ?? ()
#7  0xb6db73e9 in jpeg_CreateDecompress () from /usr/lib/libjpeg.so.62
#8  0xb7355553 in ?? () from /usr/qt/3/lib/libqt-mt.so.3
#9  0xbf8d6ab0 in ?? ()
#10 0x00000046 in ?? ()
#11 0x000001d4 in ?? ()
#12 0xb73afbce in QString::operator+= () from /usr/qt/3/lib/libqt-mt.so.3
#13 0xb70aea4b in QImageIO::read () from /usr/qt/3/lib/libqt-mt.so.3
#14 0xb70aed92 in QImage::load () from /usr/qt/3/lib/libqt-mt.so.3
#15 0xb65cd970 in KBackgroundRenderer::doWallpaper ()
   from /usr/kde/3.5/lib/libkdeinit_kdesktop.so
#16 0xb65ce93a in KBackgroundRenderer::render ()
   from /usr/kde/3.5/lib/libkdeinit_kdesktop.so
#17 0xb65ceccd in KBackgroundRenderer::qt_invoke ()
   from /usr/kde/3.5/lib/libkdeinit_kdesktop.so
#18 0xb70da988 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#19 0xb70dc827 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#20 0xb741075e in QTimer::timeout () from /usr/qt/3/lib/libqt-mt.so.3
#21 0xb70fc536 in QTimer::event () from /usr/qt/3/lib/libqt-mt.so.3
#22 0xb707a264 in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#23 0xb707b4df in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#24 0xb76b3f9a in KApplication::notify ()
   from /usr/kde/3.5/lib/libkdecore.so.4
#25 0xb70706d2 in QEventLoop::activateTimers ()
   from /usr/qt/3/lib/libqt-mt.so.3
#26 0xb702a6c1 in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#27 0xb70915e5 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#28 0xb709148e in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#29 0xb707a7fe in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#30 0xb6582bf1 in kdemain () from /usr/kde/3.5/lib/libkdeinit_kdesktop.so
#31 0xb7b8c759 in kdeinitmain () from /usr/kde/3.5/lib/kde3/kdesktop.so
#32 0x0804f608 in ?? ()
#33 0x00000001 in ?? ()
#34 0x082b7aa0 in ?? ()
#35 0x00000001 in ?? ()
#36 0x00000000 in ?? ()
Back to top
View user's profile Send private message
USTruck
Guru
Guru


Joined: 21 Aug 2005
Posts: 423
Location: La Louviere (Belgique)

PostPosted: Mon Oct 12, 2009 6:36 am    Post subject: Reply with quote

Bonjour,

J'ai eu le même problème, j'ai finalement effectuer la mise a jour complète (beurk).

Je prépare une nouvelle partition pour une fresh install avec tentative d'installation unique de kde 3.5

Attention : dans eselect profile, la version 2008 n'est plus présente !!!!
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8131
Location: ~Brussels - Belgique

PostPosted: Mon Oct 12, 2009 6:45 am    Post subject: Reply with quote

Oui, logique, le nouveau profile est 10.0 ;)
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Tom_
Guru
Guru


Joined: 20 May 2004
Posts: 385
Location: France

PostPosted: Mon Oct 12, 2009 1:06 pm    Post subject: Reply with quote

De toute façon, KDE-3.5 va bientôt être viré de l'arbre Portage vu qu'il n'est plus maintenu par ses développeurs, et qu'on va voir apparaître petit à petit des failles de sécurité qui ne seront pas bouchées.
Néanmoins, il semblerait qu'il persiste quand même un petit moment dans un overlay après son retrait de l'arbre.

C'est quoi qui vous dérange avec KDE4? Perso, je ne suis pas fan des plasmoids sur le bureau et tout ce côté "bling-bling" alors j'ai configuré KDE-4 de manière à qu'il soit le plus simple possible. Ajouté à ca le fait que je continue d'utiliser Konqueror au lieu de Dolphin, et on a du mal à différencier mon bureau actuel de mon précédent sous KDE-3.
Back to top
View user's profile Send private message
USTruck
Guru
Guru


Joined: 21 Aug 2005
Posts: 423
Location: La Louviere (Belgique)

PostPosted: Mon Oct 12, 2009 2:21 pm    Post subject: Reply with quote

Ce qui me dérange ..... j'aime pas c'est tout, plasmoid et autre nouveauté, pour ma petite station de travail a la maison
j'en ai pas besoin, les quelques nouveautés que j'ai essayer ne m'ont pas flashé, je dirais même rebuté.

Par rapport a mon usage (utilisation) kde 4 ne m'apporte rien donc pq y passer ?

Un jour je devrais c'est sur, mais si c'est faire du 'a la windows' (c'est mon impression de kde4) autant y passer.

Je suis pas un 'expert' linux, j'arrive a m'en sortir et a suivre, je dois avouer que ces derniers mois l'évolution de linux (kernel, hal, kde, ....)
me mette a rude épreuve.

Le jour ou kde 3.5 sera sorti de portage et si kde4 ne me convainc toujours pas, a part passer a Débian qui sera le dernier a l'utiliser (je présume) .....
Back to top
View user's profile Send private message
ppg
Apprentice
Apprentice


Joined: 05 Oct 2008
Posts: 178
Location: Toulouse

PostPosted: Mon Oct 12, 2009 2:59 pm    Post subject: Reply with quote

USTruck wrote:
Ce qui me dérange ..... j'aime pas c'est tout, plasmoid et autre nouveauté, pour ma petite station de travail a la maison
j'en ai pas besoin, les quelques nouveautés que j'ai essayer ne m'ont pas flashé, je dirais même rebuté.

Par rapport a mon usage (utilisation) kde 4 ne m'apporte rien donc pq y passer ?

Un jour je devrais c'est sur, mais si c'est faire du 'a la windows' (c'est mon impression de kde4) autant y passer.

Je suis pas un 'expert' linux, j'arrive a m'en sortir et a suivre, je dois avouer que ces derniers mois l'évolution de linux (kernel, hal, kde, ....)
me mette a rude épreuve.

Le jour ou kde 3.5 sera sorti de portage et si kde4 ne me convainc toujours pas, a part passer a Débian qui sera le dernier a l'utiliser (je présume) .....


Squeeze (actuelle testing, future stable) utilise KDE 4.3 donc à mon avis, KDE 3.5 ne fera pas long feu sous debian non plus.
Back to top
View user's profile Send private message
USTruck
Guru
Guru


Joined: 21 Aug 2005
Posts: 423
Location: La Louviere (Belgique)

PostPosted: Mon Oct 12, 2009 5:29 pm    Post subject: Reply with quote

castor_fou wrote:
tout a marché sauf que je n'ai plus d'icones sur le bureau, fonds bleus.
C'est kdesktop et kcontrol qui ne marche plus.

Code:
(no debugging symbols found)
[KCrash handler]
#6  0x00000000 in ?? ()
#7  0xb6db73e9 in jpeg_CreateDecompress () from /usr/lib/libjpeg.so.62
#8  0xb7355553 in ?? () from /usr/qt/3/lib/libqt-mt.so.3
#9  0xbf8d6ab0 in ?? ()
#10 0x00000046 in ?? ()
#11 0x000001d4 in ?? ()


je viens de placer "kde-base/kde-meta:4.3" dans /etc/portage/package.mask
et a l'install ca marche, compilation en cours pour les test cela sera pour demain.

Pour le problème que tu as, je pense a la mise à jour de xorg (update vers 1.6) voir eselect news
pour les liens documentations.
Back to top
View user's profile Send private message
castor_fou
Apprentice
Apprentice


Joined: 23 May 2002
Posts: 249
Location: Clermont-Ferrand, France

PostPosted: Mon Oct 12, 2009 8:31 pm    Post subject: Reply with quote

en fait j'ai installé drkonqi qui m'a pointé le coupable.
Mes packages (surtout kde) étaient linkés sur une vieille libjpeg.so.62. Un revdep-rebuild a corrigé le truc. (sauf pour tellico qui n'existe plus dans portage dans une version kde 3.5), snif snif
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8131
Location: ~Brussels - Belgique

PostPosted: Tue Oct 13, 2009 6:00 am    Post subject: Reply with quote

Si vous n'aimez pas KDE4, rien ne vous force à l'utiliser ;)
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Tue Oct 13, 2009 2:21 pm    Post subject: Reply with quote

loopx wrote:
- x11-libs/qt-core-4.5.2 (Change USE: +qt3support)
donc, ajoute ce paquet avec le use qui va avec dans ton package.use ;)


:roll: Si ça ne vous dérange pas je voudrais juste reprendre le cours de mon post.
Comme conseillé j'ai ajouter dans package.use qt-core avec +qt3support.
J'ai relancé emerge.
Même message et il a fallut ajouter aussi qt-gui.
J'ai relancé emerge.
Même message et il a fallut ajouter aussi qt-sql.
J'ai relancé emerge et là ça devient très drôle regardez vous même :
Code:
emerge: there are no ebuilds built with USE flags to satisfy "~x11-libs/qt-core-4.5.2[-debug,-qt3support]".
!!! One of the following packages is required to complete your request:
- x11-libs/qt-core-4.5.2 (Change USE: -qt3support)
(dependency required by "x11-libs/qt-opengl-4.5.2-r1" [ebuild])
(dependency required by "kde-base/kdelibs-4.2.4-r4" [installed])
(dependency required by "kde-base/libkonq-4.2.4" [installed])
(dependency required by "kde-base/kdepasswd-4.2.4" [installed])
(dependency required by "kde-base/kdm-4.2.4-r1" [installed])
(dependency required by "world" [argument])
:lol:

alors je l'ai retiré mais dans ce cas il faut le remettre (voir premier message d'erreur au début du post), bref ça se mort la queue et comme je n'ai aucune idée de ce à quoi je suis en train de toucher je me demande si vous pourriez pas m'aider ?
Merci d'avance.
Et voilà mon package.use
Code:
sys-apps/lm_sensors sensord
net-p2p/amule daemon gtk
x11-libs/wxGTK unicode X
x11-libs/cairo X svg
media-video/vlc dvd ffmpeg mpeg mad wxwindows aac dts a52 ogg flac theora oggvorbis matroska freetype bidi xv svga gnutls stream vlm httpd cdda vcd cdio live
media-libs/xine-lib mad
net-fs/samba swat syslog
sys-apps/dbus X
dev-db/mysql innodb berkdb
app-emulation/qemu-softmmu kqemu sdl
app-emulation/wine oss
media-tv/freevo xine
app-misc/mc 7zip
## KDE 4.2
dev-python/PyQt4 svg webkit
sys-auth/pambase consolekit
x11-libs/qt-gui mng qt3support
x11-libs/qt-core +qt3support
x11-libs/qt-sql qt3support
##
## kdenlive
media-libs/mlt ffmpeg melt -qt3
##

Rq : Mais bon je stabilise ça et ensuite 3.5 dégage ! :twisted:
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Tue Oct 13, 2009 2:48 pm    Post subject: Reply with quote

Le USE qt3support doit être sur TOUS les paquets qt-* ou sur aucun.
La c'est qt-opengl qui te le demande (ou bien comme il ne l'a pas te demande de le virer...)

Solution : place le use qt3support en USE global. De toute façon il est utilisé seulement sur les paquets qt, et ça réglera ton souci de manière globale !
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Tue Oct 13, 2009 3:06 pm    Post subject: Reply with quote

C'est fait, qt3support est dan smon use et j'ai retiré les lignes de package.use que j'avais mis juste avant.
A la suite j'ai relancé un emerge world et un à un j'ai dû ajouter package.keyword les paquet suivants :
Code:
kde-base/kdelibs
kde-base/kdebase-data
kde-base/kde-env
kde-base/ktimezoned
kde-base/libknotificationitem
kde-base/oxygen-icons

mais voilà à quoi j'abouti :
Code:
ataualpa ben # emerge -DuvaN world --with-bdeps y

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] sys-libs/timezone-data-2009m [2009j] USE="nls" 363 kB [0]
[ebuild     U ] media-libs/jpeg-7 [6b-r8] 950 kB [0]
[ebuild     U ] media-plugins/live-2009.09.28 [2009.09.04] 439 kB [0]
[ebuild     U ] app-arch/unzip-6.0-r1 [5.52-r2] USE="bzip2%* unicode%*" 1,345 kB [0]
[ebuild     U ] app-arch/zip-3.0 [2.32-r1] USE="bzip2%* crypt unicode%*" 1,258 kB [0]
[ebuild  N    ] x11-base/xorg-drivers-1.6  INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -citron -elographics -fpit -hyperpen -joystick -mutouch -penmount -synaptics -tslib -virtualbox -vmmouse -void -wacom" VIDEO_CARDS="fbdev nv nvidia vesa vmware -apm -ark -ast -chips -cirrus -dummy -epson -fglrx -geode -glint -i128 -i740 (-impact) -imstt -intel -mach64 -mga -neomagic (-newport) -r128 -radeon -radeonhd -rendition -s3 -s3virge -savage -siliconmotion -sis -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx -tga -trident -tseng -v4l -vermilion -via -virtualbox (-voodoo) -xgi" 0 kB [0]
[ebuild     U ] x11-libs/qt-core-4.5.2 [4.5.1] USE="glib iconv qt3support ssl -debug -doc -pch" 113,297 kB [0]
[ebuild     U ] x11-libs/qt-script-4.5.2 [4.5.1] USE="iconv -debug -pch" 0 kB [0]
[ebuild     U ] x11-libs/qt-test-4.5.2 [4.5.1] USE="iconv -debug -pch" 0 kB [0]
[blocks b     ] <x11-libs/qt-test-4.5.2 ("<x11-libs/qt-test-4.5.2" is blocking x11-libs/qt-opengl-4.5.2-r1, x11-libs/qt-script-4.5.2, x11-libs/qt-svg-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-webkit-4.5.2-r1, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[ebuild     U ] x11-libs/qt-sql-4.5.2 [4.5.1] USE="iconv mysql qt3support sqlite -debug -firebird -odbc -pch -postgres" 0 kB [0]
[ebuild     U ] x11-libs/qt-gui-4.5.2-r2 [4.5.1] USE="accessibility cups glib mng qt3support tiff -dbus* -debug -gtk% -nas -nis -pch -raster -xinerama (-gtkstyle%*)" 0 kB [0]
[ebuild     U ] x11-libs/qt-qt3support-4.5.2 [4.5.1] USE="accessibility kde -debug -pch -phonon" 0 kB [0]
[ebuild     U ] x11-libs/qt-svg-4.5.2 [4.5.1-r1] USE="iconv -debug -pch" 0 kB [0]
[blocks b     ] <x11-libs/qt-svg-4.5.2 ("<x11-libs/qt-svg-4.5.2" is blocking x11-libs/qt-opengl-4.5.2-r1, x11-libs/qt-script-4.5.2, x11-libs/qt-test-4.5.2, x11-libs/qt-qt3support-4.5.2, x11-libs/qt-webkit-4.5.2-r1, x11-libs/qt-core-4.5.2, x11-libs/qt-sql-4.5.2)
[ebuild  NS   ] sys-libs/db-4.7.25_p4 [4.6.21_p4] USE="-doc -java -nocxx -tcl -test" 12,835 kB [0]
[ebuild     U ] x11-misc/util-macros-1.3.0 [1.2.1] 51 kB [0]
[ebuild     U ] x11-proto/xproto-7.0.15 [7.0.14] 156 kB [0]
[ebuild     U ] x11-proto/inputproto-1.5.1 [1.5.0] 61 kB [0]
[ebuild     U ] x11-proto/fontsproto-2.1.0 [2.0.2] 56 kB [0]
[ebuild     U ] x11-proto/randrproto-1.3.0 [1.2.2] 74 kB [0]
[ebuild     U ] x11-proto/videoproto-2.3.0 [2.2.2] 54 kB [0]
[ebuild     U ] x11-proto/damageproto-1.2.0 [1.1.0] 52 kB [0]
[ebuild     U ] x11-libs/libdrm-2.4.13 [2.4.5] USE="-debug" 405 kB [0]
[ebuild     U ] x11-proto/dri2proto-2.1 [1.99.3] 51 kB [0]
[ebuild     U ] x11-libs/pixman-0.16.0 [0.14.0-r1] USE="(-altivec) -debug -mmx -sse2" 394 kB [0]
[ebuild     U ] x11-proto/resourceproto-1.1.0 [1.0.2] 48 kB [0]
[ebuild     U ] x11-libs/libpciaccess-0.10.6 [0.10.5] USE="-debug -minimal" 262 kB [0]
[ebuild     U ] x11-libs/libICE-1.0.5 [1.0.4] USE="ipv6 -debug" 258 kB [0]
[ebuild     U ] x11-libs/libXau-1.0.5 [1.0.4] USE="-debug" 245 kB [0]
[ebuild     U ] x11-proto/xextproto-7.0.5 [7.0.4] 79 kB [0]
[ebuild  N    ] x11-apps/sessreg-1.0.4  USE="-debug" 94 kB [0]
[ebuild     U ] x11-libs/libFS-1.0.2 [1.0.0] USE="ipv6 -debug" 256 kB [0]
[ebuild     U ] x11-libs/libSM-1.1.1 [1.1.0] USE="ipv6 uuid%* -debug" 257 kB [0]
[ebuild     U ] sys-apps/coreutils-7.5 [7.4] USE="acl nls -caps -gmp (-selinux) -static -vanilla -xattr" 9,731 kB [0]
[ebuild     U ] net-misc/wget-1.12 [1.11.4] USE="ipv6 nls ssl -debug -idn% -ntlm% -static" 1,572 kB [0]
[ebuild     U ] app-editors/nano-2.1.10 [2.1.9] USE="ncurses nls unicode -debug -justify -minimal -slang -spell" 1,444 kB [0]
[ebuild     U ] app-misc/ca-certificates-20090709 [20080809] 151 kB [0]
[ebuild     U ] app-admin/eselect-1.2.3 [1.1.3] USE="-bash-completion -doc" 151 kB [0]
[ebuild     U ] app-admin/eselect-opengl-1.0.8-r1 [1.0.6-r1] 57 kB [0]
[ebuild     U ] dev-python/sip-4.8.2-r1 [4.8.2] USE="-debug -doc" 601 kB [0]
[ebuild     U ] app-portage/mirrorselect-2.0.0 [1.4.2] 10 kB [0]
[ebuild     U ] app-admin/eselect-wxwidgets-1.1 [0.8] 0 kB [0]
[ebuild     U ] x11-proto/glproto-1.4.10 [1.4.9] 66 kB [0]
[ebuild     U ] x11-proto/xcb-proto-1.5 [1.1] 88 kB [0]
[ebuild     U ] x11-libs/libxcb-1.4-r1 [1.1] USE="-debug -doc (-selinux)" 299 kB [0]
[ebuild     U ] x11-libs/libX11-1.2.2 [1.1.5] USE="ipv6 xcb* -debug" 1,833 kB [0]
[ebuild     U ] x11-libs/libXext-1.0.5 [1.0.4] USE="-debug" 265 kB [0]
[ebuild     U ] x11-libs/libXt-1.0.6 [1.0.5] USE="-debug" 526 kB [?=>0]
[ebuild  N    ] x11-apps/xwud-1.0.1  USE="-debug" 82 kB [0]
[ebuild  N    ] x11-apps/xcmsdb-1.0.1  USE="-debug" 95 kB [0]
[ebuild  N    ] x11-apps/xev-1.0.3  USE="-debug" 91 kB [0]
[ebuild  N    ] x11-apps/xrefresh-1.0.2  USE="-debug" 79 kB [0]
[ebuild   R   ] app-misc/lirc-0.8.5  USE="X -debug -doc -hardware-carrier -transmitter" LIRC_DEVICES="-accent -act200l -act220l -adaptec -all -alsa_usb -animax -asusdh -atilibusb -atiusb -audio -audio_alsa -avermedia -avermedia98 -avermedia_vdomate -awlibusb -bestbuy -bestbuy2 -breakoutbox -bte -bw6130 -caraca -chronos -commandir -cph06x -creative -creative_infracd -devinput -digimatrix -dsp -dvico -ea65 -exaudio -flyvideo -ftdi -gvbctv5pci -hauppauge -hauppauge_dvb -hercules_smarttv_stereo -i2cuser -igorplugusb -imon -imon_24g -imon_knob -imon_lcd -imon_pad -imon_rsc -inputlirc -irdeo -irdeo_remote -irlink -irman -irreal -it87 -ite8709 -knc_one -kworld -leadtek_0007 -leadtek_0010 -leadtek_pvr2000 -livedrive_midi -livedrive_seq -logitech -macmini -mceusb -mceusb2 -mediafocusI -mouseremote -mouseremote_ps2 -mp3anywhere -mplay -nslu2 -packard_bell -parallel -pcmak -pcmak_usb -pctv -pixelview_bt878 -pixelview_pak -pixelview_pro -provideo -realmagic -remote_wonder_plus -remotemaster -sa1100 -samsung -sasem -sb0540 -serial -serial_igor_cesko -silitek -sir -slinke -streamzap -tekram -tekram_bt829 -tira -ttusbir -tuxbox -tvbox -udp -uirt2 -uirt2_raw -usb_uirt_raw -usbirboy -usbx -userspace -wpc8769l -xboxusb (-iguana%)" 700 kB [0]
[ebuild     U ] x11-libs/libXrandr-1.3.0 [1.2.3] USE="-debug" 257 kB [0]
[ebuild     U ] x11-libs/libXfont-1.4.0 [1.3.4] USE="ipv6 -debug" 401 kB [0]
[ebuild     U ] x11-apps/xkbcomp-1.1.0 [1.0.5] USE="-debug" 214 kB [0]
[ebuild  N    ] x11-apps/appres-1.0.1  USE="-debug" 84 kB [0]
[ebuild     U ] x11-apps/setxkbmap-1.1.0 [1.0.4] USE="-debug" 97 kB [0]
[ebuild  N    ] x11-apps/xkbevd-1.0.2  USE="-debug" 106 kB [0]
[ebuild  N    ] x11-apps/ttmkfdir-3.0.9-r3  20 kB [0]
[ebuild     U ] x11-libs/libXaw-1.0.6 [1.0.5] USE="-debug" 514 kB [0]
[ebuild  N    ] x11-apps/xcursorgen-1.0.2  88 kB [0]
[ebuild  N    ] x11-apps/smproxy-1.0.2  USE="-debug" 86 kB [0]
[ebuild  N    ] x11-apps/xinput-1.4.2  USE="-debug" 106 kB [0]
[ebuild  N    ] x11-apps/xgamma-1.0.2  USE="-debug" 85 kB [0]
[ebuild  N    ] x11-apps/xpr-1.0.2  USE="-debug" 116 kB [0]
[ebuild     U ] x11-apps/xrandr-1.3.2 [1.2.3] USE="-debug" 127 kB [0]
[ebuild  N    ] x11-apps/xwininfo-1.0.4  USE="-debug" 100 kB [0]
[ebuild  N    ] x11-apps/xsetmode-1.0.0  USE="-debug" 73 kB [0]
[ebuild  N    ] x11-apps/xvinfo-1.0.2  USE="-debug" 85 kB [0]
[ebuild  N    ] x11-apps/xdpyinfo-1.0.3  USE="-debug -dga -dmx -xinerama" 101 kB [0]
[ebuild  N    ] x11-apps/xbacklight-1.1  USE="-debug" 79 kB [0]
[ebuild  N    ] x11-apps/xkill-1.0.1  USE="-debug" 76 kB [0]
[ebuild  N    ] x11-apps/xlsclients-1.0.1  USE="-debug" 74 kB [0]
[ebuild  N    ] x11-apps/xlsatoms-1.0.1  USE="-debug" 74 kB [0]
[ebuild  N    ] x11-apps/xwd-1.0.2  USE="-debug" 110 kB [0]
[ebuild  N    ] x11-apps/xf86dga-1.0.2  USE="-debug" 79 kB [0]
[ebuild     U ] x11-misc/xkeyboard-config-1.6 [1.5] 617 kB [0]
[ebuild  N    ] x11-themes/xcursor-themes-1.0.1  2,205 kB [0]
[ebuild  N    ] x11-apps/bitmap-1.0.3-r1  USE="-debug" 127 kB [0]
[ebuild  N    ] x11-apps/xkbutils-1.0.1-r1  USE="-debug" 65 kB [0]
[ebuild     U ] sys-apps/man-pages-3.22 [3.21] USE="nls" LINGUAS="fr -cs -da -de -es -it -ja -nl -pl -ro -ru -zh_CN" 1,070 kB [0]
[ebuild     U ] dev-lang/php-5.2.11 [5.2.10] USE="apache2 berkdb bzip2 cli crypt gd gdbm iconv ipv6 mysql ncurses nls pcre readline reflection session simplexml spl ssl truetype unicode xml zlib -adabas -bcmath -birdstep -calendar -cdb -cgi -cjk -concurrentmodphp -ctype -curl -curlwrappers -db2 -dbase -dbmaker -debug -discard-path -doc -empress -empress-bcs -esoob -exif -fastbuild -fdftk -filter -firebird -flatfile -force-cgi-redirect -frontbase -ftp -gd-external -gmp -hash -imap -inifile -interbase -iodbc (-java-external) -json -kerberos -kolab -ldap -ldap-sasl -libedit -mcve -mhash -msql -mssql -mysqli -oc
    (and 230 more)

  ('installed', '/', 'x11-libs/qt-gui-4.5.1', 'nomerge') pulled in by
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/kimagemapeditor-4.2.4', 'nomerge')
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/kscd-4.2.4', 'nomerge')
    >=x11-libs/qt-gui-4.5.1:4[accessibility,dbus] required by ('installed', '/', 'kde-base/dolphin-4.2.4-r2', 'nomerge')
    (and 243 more)

  ('ebuild', '/', 'x11-libs/qt-webkit-4.5.2-r1', 'merge') pulled in by
    >=x11-libs/qt-webkit-4.5.1:4 required by ('installed', '/', 'dev-python/PyQt4-4.5.4-r4', 'nomerge')
    >=x11-libs/qt-webkit-4.5.1:4[kde] required by ('ebuild', '/', 'kde-base/kdelibs-4.3.1', 'merge')
    >=x11-libs/qt-webkit-4.5.1:4[kde] required by ('installed', '/', 'kde-base/kdeplasma-addons-4.2.4', 'nomerge')
    (and 1 more)

  ('installed', '/', 'x11-libs/qt-core-4.5.1', 'nomerge') pulled in by
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('ebuild', '/', 'kde-base/ktimezoned-4.3.1', 'merge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/ksystraycmd-4.2.4', 'nomerge')
    >=x11-libs/qt-core-4.5.1:4[qt3support,ssl] required by ('installed', '/', 'kde-base/bomber-4.2.4', 'nomerge')
    (and 241 more)

  ('installed', '/', 'kde-base/kdelibs-4.2.4-r4', 'nomerge') pulled in by
    >=kde-base/kdelibs-4.2.4:4.2[semantic-desktop,-kdeprefix] required by ('installed', '/', 'kde-base/dolphin-4.2.4-r2', 'nomerge')
    >=kde-base/kdelibs-4.2.4:4.2[opengl,-kdeprefix] required by ('installed', '/', 'kde-base/kdeplasma-addons-4.2.4', 'nomerge')
    >=kde-base/kdelibs-4.2.4:4.2[semantic-desktop,-kdeprefix] required by ('installed', '/', 'kde-base/akonadi-4.2.4', 'nomerge')
    (and 5 more)

  ('ebuild', '/', 'x11-libs/qt-opengl-4.5.2-r1', 'merge') pulled in by
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/kdeplasma-addons-4.2.4', 'nomerge')
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/kubrick-4.2.4', 'nomerge')
    >=x11-libs/qt-opengl-4.5.1:4 required by ('installed', '/', 'kde-base/kscreensaver-4.2.4', 'nomerge')
    (and 14 more)

  ('installed', '/', 'kde-base/kdepim-icons-4.2.4', 'nomerge') pulled in by
    >=kde-base/kdepim-icons-4.2.4:4.2[-kdeprefix] required by ('installed', '/', 'kde-base/kdepim-meta-4.2.4', 'nomerge')

  ('installed', '/', 'kde-base/libkworkspace-4.2.4', 'nomerge') pulled in by
    >=kde-base/libkworkspace-4.2.4:4.2[-kdeprefix] required by ('installed', '/', 'kde-base/khotkeys-4.2.4', 'nomerge')
    >=kde-base/libkworkspace-4.2.4:4.2[-kdeprefix] required by ('installed', '/', 'kde-base/ktux-4.2.4', 'nomerge')
    >=kde-base/libkworkspace-4.2.4:4.2[-kdeprefix] required by ('installed', '/', 'kde-base/kdebase-meta-4.2.4', 'nomerge')
    (and 7 more)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

en plus eselect ne fonctionne plus :
Code:
ataualpa ben # eselect news
!!! Error: Can't load module news
exiting
Back to top
View user's profile Send private message
boozo
Advocate
Advocate


Joined: 01 Jul 2004
Posts: 3193

PostPosted: Tue Oct 13, 2009 5:18 pm    Post subject: Reply with quote

'alute

=> une piste ici (pardon des) ;-)

nota : La solution de Tom_ est plus propre mais chez moi et pour des besoins spécifiques les versions monolythiques de qt-3.3.8b-r1 stable, 4.4.2 et 4.5.1 en [M] cohabitent très bien avec les versions splitées qt-*-4.5.2 => moyennant l'exemple de mise en oeuvre que j'ai donné avec l'usage des flags (i.e. qt-gui sans dbus ça collait pas par exemple et comme je l'ai vu aussi chez toi à y penser peut-être ^^)

Edit: /!\ Regarde aussi la doc de migration de X cad libx11 avec xcb (le flags est déjà actif chez toi semble-t-il)

Et prudence avec l'udate de jpeg-7 => j'ai dû downgrader et le masquer car il faisait crasher kdm en silence... pb lié à libjpeg.so.62 pour ceux qui y on goûté ;-) mais c'est relaté sur b.g.o. heureusement... " n'en pêche " me suis bien fait ch*** au bureau avec çà lundi matin :evil:
_________________
" Un psychotique, c'est quelqu'un qui croit dur comme fer que 2 et 2 font 5, et qui en est pleinement satisfait.
Un névrosé, c'est quelqu'un qui sait pertinemment que 2 et 2 font 4, et ça le rend malade ! "
Back to top
View user's profile Send private message
loopx
Advocate
Advocate


Joined: 01 Apr 2005
Posts: 2787
Location: Belgium / Liège

PostPosted: Wed Oct 14, 2009 7:41 am    Post subject: Reply with quote

Tu es sur d'être bien synchro ? (emerge --sync)


t'a pas ajouté des trucs dans les configs de portage ? (keywords, mask, ..)


EDIt: si tu commence à mettre une partie de KDE dans package.keywords, tu risque d'avoir des souci ... et tu en as ...
_________________
Mon MediaWiki perso : http://pix-mania.dyndns.org
Back to top
View user's profile Send private message
USTruck
Guru
Guru


Joined: 21 Aug 2005
Posts: 423
Location: La Louviere (Belgique)

PostPosted: Wed Oct 14, 2009 8:23 am    Post subject: Reply with quote

Pour celui qui désire garder kde 3.5 : https://forums.gentoo.org/viewtopic-t-711065-highlight-kde4+sets.html
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Tue Oct 20, 2009 9:08 am    Post subject: Reply with quote

loopx wrote:
Tu es sur d'être bien synchro ? (emerge --sync)


t'a pas ajouté des trucs dans les configs de portage ? (keywords, mask, ..)


EDIt: si tu commence à mettre une partie de KDE dans package.keywords, tu risque d'avoir des souci ... et tu en as ...


Synchro oui j'en suis certain et c'est tellement le bazar que je suis pas prêt d'en faire un !
Sinon dans le package.keyword j'ai mis un paquet de chose pour KDE 4... j'ai rien inventé j'ai juste mis ce qui était dit dans le guide de la doc gentoo.
Voici le fichier :
Code:
ataualpa ben # cat /etc/portage/package.keywords
## freevo ##
media-tv/freevo
dev-python/kaa-base
dev-python/kaa-metadata
#########

kde-misc/ksystemlog
app-emulation/qemu ~x86
app-emulation/qemu-softmmu ~x86
app-emulation/qemu-user ~x86
app-emulation/kqemu ~x86
#sys-devel/gcc ~x86
#app-cdr/k9copy ~x86
media-video/ffmpeg ~x86
media-video/transcode ~x86
media-video/vlc ~x86
media-plugins/live ~x86
net-p2p/amule ~x86
app-portage/udept
#net-wireless/kdebluetooth-1.0_beta8 ~x86
app-emulation/wine
media-sound/amarok:0
media-libs/easyh10 ~x86
x11-drivers/nvidia-drivers ~x86
media-video/motion ~x86
### Pour vlc ###
media-libs/libdvbpsi ~x86
###

# Robert Förster <Dessa@gmake.de> (30 Jul 2009)
# Autogenerated by regenerate-files, DO NOT EDIT.
# You can use this file to keywork/unkeyword KDE 4.2 release.
# Edit Documentation/package.keywords/kde-4.2.d/ files instead.
kde-base/kdeplasma-addons:4.2
kde-base/kde-l10n:4.2
kde-base/kdeaccessibility-colorschemes:4.2
kde-base/kdeaccessibility-iconthemes:4.2
kde-base/kmag:4.2
kde-base/kmousetool:4.2
kde-base/kmouth:4.2
kde-base/kttsd:4.2
kde-base/kcron:4.2
kde-base/knetworkconf:4.2
kde-base/ksystemlog:4.2
kde-base/kuser:4.2
# kde-base/system-config-printer-kde:4.2 # commented out for now
kde-base/kdeartwork-colorschemes:4.2
kde-base/kdeartwork-desktopthemes:4.2
kde-base/kdeartwork-emoticons:4.2
kde-base/kdeartwork-iconthemes:4.2
kde-base/kdeartwork-kscreensaver:4.2
kde-base/kdeartwork-sounds:4.2
kde-base/kdeartwork-styles:4.2
kde-base/kdeartwork-wallpapers:4.2
kde-base/dolphin:4.2
kde-base/drkonqi:4.2
kde-base/kappfinder:4.2
kde-base/kcheckpass:4.2
kde-base/kcminit:4.2
kde-base/kcmshell:4.2
kde-base/kcontrol:4.2
kde-base/kde-menu:4.2
kde-base/kde-menu-icons:4.2
kde-base/kde-wallpapers:4.2
kde-base/kdebase-cursors:4.2
kde-base/kdebase-data:4.2
kde-base/kdebase-desktoptheme:4.2
kde-base/kdebase-kioslaves:4.2
kde-base/kdebase-startkde:4.2
kde-base/kdebugdialog:4.2
kde-base/kdedglobalaccel:4.2
kde-base/kdepasswd:4.2
kde-base/kdesu:4.2
kde-base/kdialog:4.2
kde-base/kdm:4.2
kde-base/keditbookmarks:4.2
kde-base/kephal:4.2
kde-base/kfile:4.2
kde-base/kfind:4.2
kde-base/khelpcenter:4.2
kde-base/khotkeys:4.2
kde-base/kiconfinder:4.2
kde-base/kinfocenter:4.2
kde-base/kioclient:4.2
kde-base/klipper:4.2
kde-base/kmenuedit:4.2
kde-base/kmimetypefinder:4.2
kde-base/knetattach:4.2
kde-base/knewstuff:4.2
kde-base/knotify:4.2
kde-base/konqueror:4.2
kde-base/konsole:4.2
kde-base/kpasswdserver:4.2
kde-base/kquitapp:4.2
kde-base/kreadconfig:4.2
kde-base/krunner:4.2
kde-base/kscreensaver:4.2
kde-base/ksmserver:4.2
kde-base/ksplash:4.2
kde-base/kstart:4.2
kde-base/kstartupconfig:4.2
kde-base/kstyles:4.2
kde-base/ksysguard:4.2
kde-base/ksystraycmd:4.2
kde-base/ktimezoned:4.2
kde-base/ktraderclient:4.2
kde-base/kuiserver:4.2
kde-base/kurifilter-plugins:4.2
kde-base/kwalletd:4.2
kde-base/kwin:4.2
kde-base/kwrite:4.2
kde-base/kwrited:4.2
kde-base/libkonq:4.2
kde-base/libkworkspace:4.2
kde-base/libplasmaclock:4.2
kde-base/libtaskmanager:4.2
kde-base/nepomuk:4.2
kde-base/nsplugins:4.2
kde-base/phonon-kde:4.2
kde-base/plasma-apps:4.2
kde-base/plasma-workspace:4.2
kde-base/powerdevil:4.2
kde-base/renamedlg-plugins:4.2
kde-base/solid:4.2
kde-base/solid-hardware:4.2
kde-base/soliduiserver:4.2
kde-base/systemsettings:4.2
kde-base/krossjava:4.2
kde-base/krosspython:4.2
kde-base/krossruby:4.2
kde-base/pykde4:4.2
kde-base/blinken:4.2
kde-base/kalgebra:4.2
kde-base/kalzium:4.2
kde-base/kanagram:4.2
kde-base/kbruch:4.2
kde-base/kgeography:4.2
kde-base/khangman:4.2
kde-base/kig:4.2
kde-base/kiten:4.2
kde-base/klettres:4.2
kde-base/kmplot:4.2
kde-base/kstars:4.2
kde-base/ktouch:4.2
kde-base/kturtle:4.2
kde-base/kwordquiz:4.2
kde-base/libkdeedu:4.2
kde-base/marble:4.2
kde-base/parley:4.2
kde-base/step:4.2
kde-base/bomber:4.2
kde-base/bovo:4.2
kde-base/kapman:4.2
kde-base/katomic:4.2
kde-base/kbattleship:4.2
kde-base/kblackbox:4.2
kde-base/kblocks:4.2
kde-base/kbounce:4.2
kde-base/kbreakout:4.2
kde-base/kdiamond:4.2
kde-base/kfourinline:4.2
kde-base/kgoldrunner:4.2
kde-base/killbots:4.2
kde-base/kiriki:4.2
kde-base/kjumpingcube:4.2
kde-base/klines:4.2
kde-base/kmahjongg:4.2
kde-base/kmines:4.2
kde-base/knetwalk:4.2
kde-base/kolf:4.2
kde-base/kollision:4.2
kde-base/konquest:4.2
kde-base/kpat:4.2
kde-base/kreversi:4.2
kde-base/ksame:4.2
kde-base/kshisen:4.2
kde-base/ksirk:4.2
kde-base/kspaceduel:4.2
kde-base/ksquares:4.2
kde-base/ksudoku:4.2
kde-base/ktuberling:4.2
kde-base/kubrick:4.2
kde-base/libkdegames:4.2
kde-base/libkmahjongg:4.2
kde-base/lskat:4.2
kde-base/gwenview:4.2
kde-base/kamera:4.2
kde-base/kcolorchooser:4.2
kde-base/kgamma:4.2
kde-base/kolourpaint:4.2
kde-base/kruler:4.2
kde-base/ksaneplugin:4.2
kde-base/ksnapshot:4.2
kde-base/libkdcraw:4.2
kde-base/libkexiv2:4.2
kde-base/libkipi:4.2
kde-base/libksane:4.2
kde-base/okular:4.2
kde-base/svgpart:4.2
kde-base/kdegraphics-strigi-analyzer:4.2
kde-base/kde-env:4.2
kde-base/kdelibs:4.2
kde-base/kdepimlibs:4.2
kde-base/dragonplayer:4.2
kde-base/juk:4.2
kde-base/kdemultimedia-kioslaves:4.2
kde-base/kmix:4.2
kde-base/kscd:4.2
kde-base/libkcddb:4.2
kde-base/libkcompactdisc:4.2
kde-base/kdenetwork-filesharing:4.2
kde-base/kdnssd:4.2
kde-base/kget:4.2
kde-base/kopete:4.2
kde-base/kppp:4.2
kde-base/krdc:4.2
kde-base/krfb:4.2
kde-base/lilo-config:4.2
kde-base/kfloppy:4.2
kde-base/akonadi:4.2
kde-base/akregator:4.2
kde-base/kabcclient:4.2
kde-base/kaddressbook:4.2
kde-base/kalarm:4.2
kde-base/kdemaildir:4.2
kde-base/kdepim-icons:4.2
kde-base/kdepim-kresources:4.2
kde-base/kdepim-strigi-analyzer:4.2
kde-base/kdepim-wizards:4.2
kde-base/kjots:4.2
kde-base/kleopatra:4.2
kde-base/kmail:4.2
kde-base/kmailcvt:4.2
kde-base/knode:4.2
kde-base/knotes:4.2
kde-base/kode:4.2
kde-base/konsolekalendar:4.2
kde-base/kontact:4.2
kde-base/kontact-specialdates:4.2
kde-base/kontactinterfaces:4.2
kde-base/korganizer:4.2
kde-base/kpilot:4.2
kde-base/ktimetracker:4.2
kde-base/libkdepim:4.2
kde-base/libkholidays:4.2
kde-base/libkleo:4.2
kde-base/libkpgp:4.2
kde-base/libksieve:4.2
kde-base/mimelib:4.2
kde-base/cervisia:4.2
kde-base/kapptemplate:4.2
kde-base/kate:4.2
kde-base/kbugbuster:4.2
kde-base/kcachegrind:4.2
kde-base/kdeaccounts-plugin:4.2
kde-base/kdesdk-kioslaves:4.2
kde-base/kdesdk-misc:4.2
kde-base/kdesdk-scripts:4.2
kde-base/kdesdk-strigi-analyzer:4.2
kde-base/kompare:4.2
kde-base/kstartperf:4.2
kde-base/kuiviewer:4.2
kde-base/lokalize:4.2
kde-base/umbrello:4.2
kde-base/amor:4.2
kde-base/kteatime:4.2
kde-base/ktux:4.2
kde-base/kweather:4.2
kde-base/ark:4.2
kde-base/kcalc:4.2
kde-base/kcharselect:4.2
kde-base/kdessh:4.2
kde-base/kdf:4.2
kde-base/kgpg:4.2
kde-base/ktimer:4.2
kde-base/kwallet:4.2
kde-base/okteta:4.2
# kde-base/printer-applet:4.2 # commented out for now
kde-base/superkaramba:4.2
kde-base/sweeper:4.2
kde-base/kfilereplace:4.2
kde-base/kimagemapeditor:4.2
kde-base/klinkstatus:4.2
kde-base/kommander:4.2
kde-base/kxsldbg:4.2
kde-base/kdeaccessibility-meta:4.2
kde-base/kdeadmin-meta:4.2
kde-base/kdeartwork-meta:4.2
kde-base/kdebase-meta:4.2
kde-base/kdeedu-meta:4.2
kde-base/kdegames-meta:4.2
kde-base/kdegraphics-meta:4.2
kde-base/kde-meta:4.2
kde-base/kdemultimedia-meta:4.2
kde-base/kdenetwork-meta:4.2
kde-base/kdepim-meta:4.2
kde-base/kdesdk-meta:4.2
kde-base/kdetoys-meta:4.2
kde-base/kdeutils-meta:4.2
kde-base/kdewebdev-meta:4.2
app-arch/libarchive
app-misc/strigi
app-office/akonadi-server
app-text/ebook-tools
dev-cpp/eigen:2
>=dev-libs/libical-0.33-r1
dev-libs/libzip
dev-libs/soprano
=dev-python/PyQt4-4.5*
=dev-python/sip-4.8*
kde-base/automoc
>=kde-base/qimageblitz-0.0.4
media-sound/phonon
>=sci-mathematics/gmm-3.0
~x11-misc/xdg-utils-1.0.2
net-wireless/bluez
app-arch/xz-utils
##
app-admin/eselect-python
## kdenlive
media-video/kdenlive
media-libs/mlt
kde-base/kdelibs
kde-base/kdebase-data
kde-base/kde-env
kde-base/ktimezoned
kde-base/libknotificationitem
kde-base/oxygen-icons
##

Et là je sens venir le moment où tu me dis que je peux tout enlever, non ?
De toute façon je veux migrer définitivement sous kde4.
Alors je fais quoi ?

D'autant plus que dans mon world j'ai ça pour kde3 (pas pour tous) :
Code:
ataualpa ben # grep kde /var/lib/portage/world
kde-base/akregator
kde-base/ark
kde-base/kaddressbook
kde-base/kate
kde-base/kde-i18n
kde-base/kde-meta:4.2
kde-base/kdebase-kioslaves
kde-base/kdebase-startkde
kde-base/kdenetwork-filesharing
kde-base/kdepim-kioslaves
kde-base/kdm
kde-base/kget
kde-base/kicker
kde-base/kitchensync
kde-base/kmail
kde-base/kmenuedit
kde-base/knetattach
kde-base/konq-plugins
kde-base/konsole
kde-base/kopete
kde-base/korganizer
kde-base/kpdf
kde-base/ksnapshot
kde-base/kuickshow
kde-base/kwalletmanager
kde-base/nsplugins
kde-base/superkaramba
kde-misc/kdmtheme
kde-misc/yakuake
media-video/kdenlive
Back to top
View user's profile Send private message
castor_fou
Apprentice
Apprentice


Joined: 23 May 2002
Posts: 249
Location: Clermont-Ferrand, France

PostPosted: Sun Nov 01, 2009 11:54 am    Post subject: Reply with quote

un peu hors sujet:
finalement je suis passé à kde 4.3. Et j'en suis vraiment très content. Je me tatais pour passer à gnome (et peut-etre ubuntu), là ça me remet sur les rails kde+gentoo pour un moment...
Back to top
View user's profile Send private message
BENJI
Guru
Guru


Joined: 10 Sep 2003
Posts: 543

PostPosted: Wed Nov 18, 2009 4:25 pm    Post subject: Reply with quote

Bon je penche à nouveau sur mon problème après une longue trêve.
J'avoue ne plus savoir par où le prendre.
Si je résume j'ai des conflits à cause du fait que mon installation utilise à la fois Qt3 et Qt4.

Ce que je veux donc faire c'est ne plus utiliser que Qt4 et donc migrer définitivement sous KDE4 faire le ménage dans les use et mes packages.keyword et autres.
Seulement ça je n'y arriverai pas tout seul alors pouvez-vous m'y aider.

Par quoi je commence ?

Merci d'avance.
Back to top
View user's profile Send private message
Temet
Advocate
Advocate


Joined: 14 Mar 2006
Posts: 2586
Location: 92

PostPosted: Wed Nov 18, 2009 4:38 pm    Post subject: Reply with quote

Hum, étant sous branche stable et ayant migré sous KDE4 récemment, je ne comprends pas la question!
J'ai viré tout KDE3, sauf Kdelibs (putain de kaffeine, pas un lecteur DVD potable sous nux...)... et j'ai pas de soucis.
Bon, j'ai mis de coté un ebuild de kdelibs et de kaffeine pour quand ils vont dégager de portage... mais dès que je peux m'en débarrasser, je m'en débarrasse.
_________________
Full Gentoo powered.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Goto page 1, 2, 3  Next
Page 1 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum